> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create shipment

> Create shipment



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /shipping/shipments
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /shipping/shipments:
    post:
      tags:
        - Shipping
      summary: Create shipment
      description: Create shipment
      operationId: create-shipment
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    order_number:
                      type: string
                - $ref: '#/components/schemas/CreateShipment'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
components:
  schemas:
    CreateShipment:
      title: CreateShipment
      description: Create shipment model
      type: object
      required:
        - order_number
        - shipments
      properties:
        order_number:
          type: string
        shipment_number:
          description: >-
            Optional. The shipment number based on which the new shipment will
            be created. If not provided, a new shipment will be created based on
            unscheduled shipment of the order.
          type:
            - string
            - 'null'
        shipments:
          type: array
          items:
            type: object
            required:
              - warehouse_id
              - shipment_items
              - packing_option
              - shipping_option
              - shipping_provider_id
              - total_weight
            properties:
              fulfillment_type:
                type: string
                enum:
                  - delivery
                  - collect-in-store
              warehouse_id:
                type: string
              shipment_items:
                type: array
                items:
                  $ref: '#/components/schemas/ShipmentItem'
              packing_option:
                enum:
                  - auto
                  - manual
              shipping_option:
                enum:
                  - auto
                  - manual
              shipping_provider_id:
                type: string
              total_weight:
                type: number
                default: 0
              boxes:
                description: use this field for packing_option = manual
                type:
                  - array
                  - 'null'
                items:
                  $ref: '#/components/schemas/ShipmentBox'
              tracking_link:
                description: use this field for shipping_option = manual
                type:
                  - string
                  - 'null'
              expected_delivery_date:
                description: use this field for shipping_option = manual
                type:
                  - string
                  - 'null'
                format: date
              manual_shipping_charges:
                description: use this field for shipping_option = manual
                type:
                  - number
                  - 'null'
              courier_company_id:
                description: >-
                  Specifies the courier company to be used for shipping when
                  shipping_option is set to auto. If not provided, the system
                  will choose the most suitable courier automatically.
                type:
                  - string
                  - 'null'
      x-tags:
        - Shipping
    ShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      required:
        - product_id
        - variant_id
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
    ShipmentBox:
      title: ShipmentBox
      type: object
      properties:
        box_name:
          type: string
        box_length:
          type: number
        box_width:
          type: number
        box_height:
          type: number
        box_weight:
          type: number
        items_count:
          type:
            - integer
            - 'null'
        box_count:
          type:
            - integer
            - 'null'
      x-tags:
        - Shipping
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````